List datasets with pagination
curl --request GET \
--url https://api.example.com/api/v1/datasets/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/datasets/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/datasets/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/datasets/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/datasets/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/datasets/list")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/datasets/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"datasets": [
{
"dataset_id": "<string>",
"source_type": "<string>",
"source_category": "lead_finder",
"row_count": 123,
"created_at": "<string>",
"updated_at": "<string>",
"session_id": "<string>",
"status": "<string>",
"pipeline_type": "<string>",
"leads_count": 123,
"processed_count": 123,
"failed_count": 123,
"progress_percentage": 123,
"filename": "<string>",
"session_created_at": "<string>",
"session_updated_at": "<string>",
"completed_at": "<string>"
}
],
"total_count": 123,
"page": 123,
"page_size": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}datasets
List datasets with pagination
Server-side paginated dataset listing with optional pipeline type filter and search
GET
/
api
/
v1
/
datasets
/
list
List datasets with pagination
curl --request GET \
--url https://api.example.com/api/v1/datasets/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/datasets/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/datasets/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/datasets/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/datasets/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/datasets/list")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/datasets/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"datasets": [
{
"dataset_id": "<string>",
"source_type": "<string>",
"source_category": "lead_finder",
"row_count": 123,
"created_at": "<string>",
"updated_at": "<string>",
"session_id": "<string>",
"status": "<string>",
"pipeline_type": "<string>",
"leads_count": 123,
"processed_count": 123,
"failed_count": 123,
"progress_percentage": 123,
"filename": "<string>",
"session_created_at": "<string>",
"session_updated_at": "<string>",
"completed_at": "<string>"
}
],
"total_count": 123,
"page": 123,
"page_size": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Pipeline type filter: enrichment, personalization, extraction, or null for all
Available options:
enrichment, personalization, extraction Search by dataset name
Include datasets created by internal QA tooling
Canonical source category filter
Available options:
lead_finder, file_upload, api, manual, internal, other Page number (1-indexed)
Required range:
x >= 1Items per page (max 100)
Required range:
1 <= x <= 100⌘I